# DataExchange
TKIGES
IGESData

# IGESData_FileRecognizer Class Reference

`#include <IGESData_FileRecognizer.hxx>`

## Public Member Functions

Standard_EXPORT Standard_Boolean | Evaluate (const IGESData_IGESType &akey, Handle(IGESData_IGESEntity)&res)
Standard_EXPORT Handle_IGESData_IGESEntity | Result () const
Standard_EXPORT void | Add (const Handle(IGESData_FileRecognizer)&reco)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | IGESData_FileRecognizer ()
Standard_EXPORT void | SetOK (const Handle(IGESData_IGESEntity)&aresult)
Standard_EXPORT void | SetKO ()
virtual Standard_EXPORT void | Eval (const IGESData_IGESType &akey)=0

## Private Attributes

Handle_IGESData_IGESEntity | theres
Standard_Boolean | hasnext
Handle_IGESData_FileRecognizer | thenext

## Constructor & Destructor Documentation

Standard_EXPORT IGESData_FileRecognizer::IGESData_FileRecognizer | ( |  | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT void IGESData_FileRecognizer::Add | ( | const Handle(IGESData_FileRecognizer)& | reco | ) |

virtual Standard_EXPORT void IGESData_FileRecognizer::Eval | ( | const IGESData_IGESType & | akey | ) | `[protected, pure virtual]`

Standard_EXPORT Standard_Boolean IGESData_FileRecognizer::Evaluate | ( | const IGESData_IGESType & | akey,
|  | Handle(IGESData_IGESEntity)& | res
| ) |

Standard_EXPORT const IGESData_FileRecognizer::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Handle_IGESData_IGESEntity IGESData_FileRecognizer::Result | ( |  | ) | const

Standard_EXPORT void IGESData_FileRecognizer::SetKO | ( |  | ) | `[protected]`

Standard_EXPORT void IGESData_FileRecognizer::SetOK | ( | const Handle(IGESData_IGESEntity)& | aresult | ) | `[protected]`

## Field Documentation

Standard_Boolean IGESData_FileRecognizer::hasnext `[private]`

Handle_IGESData_FileRecognizer IGESData_FileRecognizer::thenext `[private]`

Handle_IGESData_IGESEntity IGESData_FileRecognizer::theres `[private]`

The documentation for this class was generated from the following file:

- IGESData_FileRecognizer.hxx